@use 'variables';
@use 'mixins';
@use 'resets';

h1,
h2{
    font-family: variables.$font-primary;
}

h3,
h4,
h5,
p,
a,
label,
input,
button {
    font-family: variables.$font-secondary;
}

body {
    background-color: variables.$primary-background-color;
}

.back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
    @include mixins.box-shadow(0.25);

    width: 100%;
    position: fixed;
    top: 0;
    background-color: variables.$primary-background-color;
}

.burger-menu {
    display: none;
}

.nav-list {
    list-style: none;
    display: flex;

    li {
        margin: 16px;
    }

    a {
        @include mixins.reset-link(black);
        text-transform: uppercase;
        font-weight: 600;
    }
}

#about {

    .container {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    >*>* {
        flex-basis: 100%;
        flex-grow: 1;
    }
}

.container {
    min-height: 90vh;
    width: 85%;
    margin: 0 auto;
    padding: 115px 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.profile-img {
    display: block;
    margin-inline: auto;
    border-radius: 50%;
    width: 70%;
    min-width: 40%;

}

.profile-description {

    p:nth-child(1) {
        font-size: 52px;
        font-weight: 600;
    }

    p:nth-child(2) {
        font-size: 36px;
        font-weight: 600;
        margin-bottom: 20px;
    }

    p:nth-last-child(2) {
        margin-bottom: 30px;
    }
}

.social-links {
    a {
        margin-right: 20px
    }
} 

span {
    color: variables.$text-accent-color;
}

.section-title {
    padding: 15px;
    margin-bottom: 20px;
}

.section-items {
    // Comment the lines below once grid system is applied on our .section-items
    // bootstrap grid system utility classes already uses flexbox and applies padding on its items
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    column-gap: 50px;
    row-gap: 50px;
    // 

    align-items: center;
    justify-content: center;


    a {
        @include mixins.reset-link(black);
    }

    .section-item-card {
        padding: 30px;
        // Set height and weight to auto once bootstrap grid system is applied
        height: 425px;
        width: 400px;
        border-radius: 5%;
        background-image: variables.$gradient-background;
    
        @include mixins.box-shadow(0.25);
    }
}


.service-icon {
    margin: 26px 0;
}

.service-content h3 {
    margin-bottom: 18px;
}

.portfolio-img {
    margin-bottom: 18px;
    width: 100%;
    border-radius: 5%;
}

.portfolio-content p{
    color: variables.$text-accent-color;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 2px;
    margin-bottom: 12px;
}

.nav-list, .section-items {

    a:hover {
        @include mixins.link-hover;
    }

}

.contact-wrapper {
    margin-top: 50px;
    display: flex;
    justify-content: space-evenly;
    

    >* {
        padding: 20px;
        border-radius: 2.5%;
        background-image: variables.$gradient-background;
        @include mixins.box-shadow(0.25);
    }
}

.contact-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 350px;

    >* {
        margin-bottom: 32px;
        
        >* {
            margin-bottom: 8px;
        }
    }

    p {
        font-size: 18px;
        color: variables.$text-accent-color
    }
}

.contact-form-wrapper {
    width: 550px;

    form {
        display: grid;
        grid-template-areas:
            "name email"
            "subject subject"
            "message message"
            "button .";
        grid-template-columns: 1fr 1fr;
        gap: 25px;
    }
}

label {
    margin-bottom: 10px;
    display: block;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

input,
textarea {
    width: 100%;
    padding: 8px;
    // Comment the lines below once button is styled with bootstrap
    border-color: rgba(0, 0, 0, 0.10);
    outline-color: variables.$text-accent-color;

    // Uncomment the lines below to overwrite bootstrap styling on our form button
    // &.form-control:focus {
    //     border-color: variables.$text-accent-color;
    //     border-width: 2px;
    //     outline-color: variables.$text-accent-color;
    //     box-shadow: none;
    // }
}

textarea {
    resize: none;
}

.contact-name {
    grid-area: name;
}

.contact-email {
    grid-area: email;
}

.contact-subject {
    grid-area: subject;
}

.contact-message {
    grid-area: message;
}

button {
    grid-area: button;
    height: 35px;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

footer {
    height: 150px;
    background-color: black;
    color: white;
    display: flex;
    justify-content: space-around;
    align-items: center;
    
}

@media only screen and (max-width: 1200px) {

    #about .container,
    .contact-wrapper {
        flex-direction: column;
    }

    .contact-wrapper {
        row-gap: 50px;
    }

    .contact-details,
    .contact-form-wrapper {
        width: 100%;
    }

    .profile-description {
        text-align: center;
    }

    .nav-list li {
        margin: 12px;
    }
}

@media only screen and (max-width: 768px) {
    .header-right {
        display: none;
    }

    .burger-menu {
        display: inline-block;
    }

    .back-to-top {
        display: none;
    }

    footer {
        flex-direction: column;
    }

}

@media only screen and (max-width: 576px) {
    .profile-description {
        text-align: left;
    }

    .profile-description p:nth-child(1) {
        font-size: 48px;
    }

    .profile-description p:nth-child(2) {
        font-size: 32px;
    }


}